package com.bonus.canteen.core.allocation.canteen.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("查询编号 param")
public class AllocCanteenNumParam {
   @ApiModelProperty("父级id")
   private @NotNull(
   message = "父级id 不能为空"
) Long superId;
   @ApiModelProperty("食堂树类型")
   private @NotNull(
   message = "食堂树类型 不能为空"
) Integer canteenTreeType;

   public Long getSuperId() {
      return this.superId;
   }

   public Integer getCanteenTreeType() {
      return this.canteenTreeType;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setCanteenTreeType(final Integer canteenTreeType) {
      this.canteenTreeType = canteenTreeType;
   }

}
